# include "basic.h"

int shell (int argc, char **argv) {
  
  int i, status;
  char line[2048], tmp[1024];

  bzero (tmp, 1024);
  bzero (line, 2048);

  for (i = 1; i < argc; i++) {
    sprintf (tmp, "%s ", argv[i]);
    strcat (line, tmp);
  }

  strcat (line, "\n");
  status = system (line);

  if (status) {
    return (FALSE);
  } else {
    return (TRUE);
  }
}

